SDL_OpenIO(3)

NAME
SDL_OpenIO - Create a custom SDL_IOStream .

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_IOStream * SDL_OpenIO(const SDL_IOStreamInterface *iface, void *userdata);

DESCRIPTION
Applications do not need to use this function unless they are providing their own SDL_IOStream
 implementation. If you just need an

SDL_IOStream
 to read/write a common data source, you should use the built-in implementations in SDL, like

SDL_IOFromFile () or SDL_IOFromMem (), etc.

This function makes a copy of iface and the caller does not need to keep it around after this call.

FUNCTION PARAMETERS

iface
    the interface that implements this SDL_IOStream , initialized using SDL_INIT_INTERFACE ().

userdata
    the pointer that will be passed to the interface functions.

RETURN VALUE
( SDL_IOStream
 *) Returns a pointer to the allocated memory on success or NULL on failure; call SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CloseIO(3), •(3), SDL_INIT_INTERFACE(3), •(3), SDL_IOFromConstMem(3), •(3), SDL_IOFromFile(3), •(3), SDL_IOFromMem(3)